Skip to main content
File Upload Helpers

Create document PDF upload URL

<small>Requires an API token with the Document Manager role.</small>

POST
/file-uploads/document-pdf

Generates a presigned URL for securely uploading a PDF file to cloud storage. The uploaded PDF can then be used to create a document via the Create document from PDF endpoint.

The returned URL expires after a limited time and should be used immediately for upload. Upload the PDF file with a POST request to the returned URL, sending the provided fields as form fields in the request body, followed by the file contents in a file field.

For a complete guide with examples, see How to create a document from a PDF file.

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Response

application/json

SignedUploadUrlResource

dataobjectrequired